#ifndef _RBA_LOG_H_
#define _RBA_LOG_H_

// default verbose = 1, logging output enabled
// set verbose = 0 to disable logging
extern void te_set_log_level(int verbose);

void rba_raw_log(int verbose, const char *fmt, ...);

#define RBA_LOG_V(verbose, fmt, args...)                                       \
	rba_raw_log(verbose, "[rba] " fmt "\n", ##args)

#define RBA_LOG(fmt, args...) rba_raw_log(1, "[rba] " fmt "\n", ##args)

#endif
