#ifndef _RBA_ROLE_H
#define _RBA_ROLE_H

#define ROLE_SYSADM 0 /* The system administrator role */
#define ROLE_DAEMON 100 /* The daemons' init role */
#define ROLE_SECADM 500 /* The security administrator role */
#define ROLE_UNTITLED 1000 /* The untitled role */
#define ROLE_AUDADM 1050 /* The audit administrator role */

#define ROLE_PATH "/proc/self/attr/rba/role"

struct role {
	int id;
};

bool is_rba_role_enabled(void);

int rba_role_init(const char *user);

#endif
